Subject: Re: bug#25129: 26.0.50; seq-some function

From: Nicolas Petton <[email-masked]>
Date: Wed, 07 Dec 2016 09:48:29 +0100

Pierre Lorenzon <[email-masked]> writes:

Hi Pierre,

> I well understand now that I must use seq-find instead of
> seq-some but I think that I will not be the only one being
> confused by these functions specifications !

There is a mistake (extra if) in the documentation, I will fix that.

Other than that, is the following less confusing?

  Return non-nil if PRED returns non-nil for at least one element of SEQUENCE.
  If so, return the value returned by PRED.

Cheers,
Nico